<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
      //setor achar significa poder ir para outra amostra
 
		
		 if (isset($_POST['acharDigitada']) || isset($_POST['acharAvanca'])  || isset($_POST['acharRecua']) || isset($_POST['acharUltima'])):
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		
		
		
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
	

			if(isset($_POST['bt_fechar'])):
			  if(isset($_POST['cb_fechar'])):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='s' where  rea_teste='PMS' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Esta amostra foi fechada e so podera ser reaberta se entrar com uma senha de administrador. Ok. Gravação normal.' ,'alerta');	
			   else:
			   		printMSG('Não houve fechamento, porque antes precisa  marcar SIM. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar

	?>
	                 
    <form class="userform" method="POST" action="">
	<input type="hidden" name="reanLong" value="<?php echo $reanLong ?>" size=5 />
	</td>


<table>

<h2>MENU DE GERENCIAMENTO DE CAMPOS DE PRODUÇÃO DE SEMENTES E RESPECTIVOS LAUDOS DE VISTORIA</h2>


<tr><td>
<input type="button" onclick="location.href='?m=camposProducao22&t=gerenciarCampos&modo=ALTERARCAMPO'" value="Acesso a Campos e Laudos" />
</td></tr>



<tr><td>
<input type="button" onclick="location.href='?m=criardocumentos2021&t=removerAmostras2021'" value="Registrar material de reprodução <?php echo $tipoDoc  ;?> "  />
</td></tr>

<tr><td>
<input type="button" onclick="location.href='?m=criardocumentos2021&t=observacoes'" value="Vincular lotes a um campo" />
</td></tr>

<tr><td>
<input type="button"  onclick="location.href='?m=criardocumentos2021&t=excluirDocumentos2021'" value="Vincular um campo a um lote" />
</td></tr>

<tr><td>
<input type="submit"  name="detonaIdDoc" value="Gerar mapa de produção e comercialização" />
</td></tr>



</table>

					
					
					
					
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>